package yangtz.cs.liu.campus.service.message;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.message.SchoolMessageParentsPushs;
import yangtz.cs.liu.campus.domain.message.SchoolMessageParentsPushsDetails;
import yangtz.cs.liu.wechat.vo.message.ParentPushVO;

/**
 * 家长端消息推送Service接口
 *
 * @author ruoyi
 * @date 2022-10-28
 */
public interface ISchoolMessageParentsPushsService extends IService<SchoolMessageParentsPushs>
{
    List<SchoolMessageParentsPushs> queryList(SchoolMessageParentsPushs schoolMessageParentsPushs);

    //查询级部的家长信息推送id,家长userId的idList
    List<Long> queryDetailsList(List<Long> list);

    //根据主键获取信息推送
    List<SchoolMessageParentsPushs> queryGradeList(List<Long> list,SchoolMessageParentsPushs schoolMessageParentsPushs);

    //删除家长消息
    public int deletePushList(List<Long> ids);

    //公众号家长端消息列表
    public List<ParentPushVO> parentPushList(Long userId, ParentPushVO pushVO);
}
